建立工具
curl --request POST \
--url https://api.pathors.com/v1/projects/{projectId}/tools \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"metadata": {}
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/tools"
payload = {
"type": "<string>",
"metadata": {}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', metadata: {}})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
建立工具
為專案建立新的工具
POST
/
v1
/
projects
/
{projectId}
/
tools
建立工具
請求
POST https://api.pathors.com/v1/projects/{projectId}/tools
路徑參數
專案 ID
標頭
使用您的 Developer Key 進行 Bearer 令牌認證
請求主體
工具類型(例如
restful、mcp、google-calendar-create、smtp、duckduckgo-search、agent)特定類型的配置。可用的類型及其結構描述請參閱
GET /v1/projects/{projectId}/tools/types。回應
回傳建立的工具,狀態碼為201。
範例
curl -X POST https://api.pathors.com/v1/projects/{projectId}/tools \
-H "Authorization: Bearer dk_your_key" \
-H "Content-Type: application/json" \
-d '{
"type": "restful",
"metadata": {
"url": "https://api.example.com/search",
"method": "GET"
}
}'
⌘I
